Subject: Re: Problem getting older version

From: Nico -telmich- Schottelius <[email-masked]>
Date: Mon, 24 Oct 2005 07:23:35 +0200

Thanks Petr!

Didn't have the time (and network connection, writing offline currently) to
test latest cogito/git for the other errors, but will do that on monday.

Nico

Petr Baudis [Thu, Oct 20, 2005 at 03:42:30AM +0200]:
>   Hello,
> 
> Dear diary, on Wed, Oct 19, 2005 at 10:00:46AM CEST, I got a letter
> where Nico -telmich- Schottelius <[email-masked]> told me that...
> > The following situation:
> > 
> > - The last commit was a merge, mhich broke some files
> > - We want three files from the commit before
> ..snip..
> > Is this really the standard way to recover a file? As a developer / end user I would expect that:
> > 
> > cg-recover <filename> <commit id> and -f for overwriting the file if it exists
> 
>   thanks for the suggestion. I've revamped cg-restore to support this
> kind of syntax, so now if you do
> 
> 	cg-restore -r ID [-f] FILENAME
> 
> it should do what you want.
> 
> -- 
> 				Petr "Pasky" Baudis
> Stuff: http://pasky.or.cz/
> VI has two modes: the one in which it beeps and the one in which
> it doesn't.
> -
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
Latest project: cconfig (http://nico.schotteli.us/papers/linux/cconfig/)
Open Source nutures open minds and free, creative developers.